<?
/** LoudMouth Source Edition Version 2.4. 
  * 27-07-2001
  *
  * Copyright (C) 2000 - 2001 Miro Contruct Pty Ltd
  * Distributed under the terms of the GNU General Public License
  * This software may be used without warranty provided these statements are left intact
  * and the "Powered by LoudMouth" logo appears at the bottom of each page.
  * This code is Available at http://sourceforge.net/projects/mambo
  *
  * Site Name: LoudMouth Open Source Edition Version 2.4.
  * File Name: dbSetup.php
  * Developers: Nicole Anderson - nicole@miro.com.au
  *             Danny Younes - danny@miro.com.au
  * Date: 27/07/2001
  * Version #: 2.4.
  * Comments: Sets up the database for the forum
  *
 **/?>
 
<br><B> LoudMouth Installation</B><BR><BR>
<?	
include ("configuration.php");
require ("classes/database.php");

$database = new database();

$query="CREATE DATABASE $db";
$result=mysql_query("CREATE DATABASE $db");
if (!$result){
	echo "Creation of $db failed!<br>" .mysql_errno(). ": ".mysql_error(). "<br>"; 
    return; 
}else{
	echo "Database '$db' created<BR>";
}

$query = "CREATE TABLE forum (id int(11) NOT NULL auto_increment, forumname varchar(50) NOT NULL, description text NOT NULL, archive tinyint(4) DEFAULT '0' NOT NULL, moderate_topics tinyint(4) DEFAULT '0' NOT NULL, moderate_top_rep tinyint(4) DEFAULT '0' NOT NULL, language tinyint(4) DEFAULT '0' NOT NULL, moderate_nothing tinyint(4) DEFAULT '0' NOT NULL, moderatorid int(11), usertype varchar(25) NOT NULL, checked_out int(11) DEFAULT '0', checked_out_time time DEFAULT '00:00:00', editor varchar(50), published tinyint(4) DEFAULT '0' NOT NULL, emailModerator tinyint(4) DEFAULT '1', PRIMARY KEY (id), UNIQUE ID (id));";
$result =$database->openConnectionWithReturn($query);
if (!$result) { 
   	echo "Creation of forum table failed!<br>" .mysql_errno(). ": ".mysql_error(). "<br>"; 
    return; 
}else{
	echo "Table 'forum' created<BR>";
}

$query= "CREATE TABLE messages (id int(11) NOT NULL auto_increment, author varchar(50) NOT NULL, subject varchar(255) NOT NULL, date date DEFAULT '0000-00-00' NOT NULL, time time DEFAULT '00:00:00' NOT NULL, replytoid int(4) DEFAULT '0' NOT NULL, level int(11) DEFAULT '0', message text NOT NULL, forumid int(11) DEFAULT '0' NOT NULL, archive tinyint(4) DEFAULT '0' NOT NULL, newtopic tinyint(4) DEFAULT '0' NOT NULL, newmessage tinyint(4) DEFAULT '0' NOT NULL, usertype varchar(25) NOT NULL, views int(11) DEFAULT '0', published tinyint(4) DEFAULT '0', checked_out tinyint(4) DEFAULT '0', checked_out_time time DEFAULT '00:00:00', editor varchar(50), PRIMARY KEY (id), UNIQUE ID (id), KEY FORUMID (forumid))";
$result =$database->openConnectionWithReturn($query);
if (!$result) { 
   	echo "Creation of message table failed!<br>" .mysql_errno(). ": ".mysql_error(). "<br>"; 
    return; 
}else{
	echo "Table 'message' created<BR>";
}

$query="CREATE TABLE session (username varchar(50), time varchar(14), session_id varchar(200) DEFAULT '0' NOT NULL, userid tinyint(4), PRIMARY KEY (session_id))";
$result=$database->openConnectionWithReturn($query);
if (!$result) { 
	echo "Creation of session table failed!<br>" .mysql_errno(). ": ".mysql_error(). "<br>"; 
   	return; 
}else{
	echo "Table 'session' created<BR>";
}

$query = "CREATE TABLE users (id int(11) NOT NULL auto_increment, name varchar(50) NOT NULL, username varchar(25) NOT NULL, email varchar(100) NOT NULL, password varchar(100) NOT NULL, usertype varchar(25) NOT NULL, block tinyint(4) DEFAULT '0' NOT NULL, sendEmail tinyint(4), PRIMARY KEY (id))";
$result =$database->openConnectionWithReturn($query);
if (!$result) { 
   	echo "Creation of users table failed!<br>" .mysql_errno(). ": ".mysql_error(). "<br>"; 
    return; 
}else{
	echo "Table 'users' created<BR>";
}

$query= "INSERT INTO users VALUES ( '1', 'Administrator', 'admin', '', '21232f297a57a5a743894a0e4a801fc3 ', 'superadministrator', '0', NULL)";
$result=$database->openConnectionWithReturn($query);
if (!$result) { 
   	echo "Alteration of users table failed!<br>" .mysql_errno(). ": ".mysql_error(). "<br>"; 
    return; 
}else{
	echo "Table 'users' altered<BR>";
}

$query= "INSERT INTO users VALUES ( '2', 'new user', 'user', '', 'ee11cbb19052e40b07aac0ca060c23ee ', 'user', '0', '0')";
$result=$database->openConnectionWithReturn($query);
if (!$result) { 
   	echo "Alteration of users table failed!<br>" .mysql_errno(). ": ".mysql_error(). "<br>"; 
    return; 
}else{
	echo "Table 'users' altered<BR>";
}

$query="INSERT INTO forum (id, forumname, description, archive, moderate_topics, moderate_top_rep, language, moderate_nothing, moderatorid, usertype, checked_out, checked_out_time, editor, published, emailModerator) VALUES ('', 'My First Forum', 'This is your first forum', '0', '0', '0', '1', '1', '1', '', '', '', '', '1', '1')";
$result=$database->openConnectionWithReturn($query);
if (!$result) { 
   	echo "Alteration of forum table failed!<br>" .mysql_errno(). ": ".mysql_error(). "<br>"; 
    return; 
}else{
	echo "Table 'forum' altered<BR>";
}

$query="INSERT INTO messages (id, author, subject, date, time, replytoid, level, message, forumid, archive, newtopic, newmessage, usertype, views, published, checked_out, checked_out_time, editor) VALUES ('', 'Administrator', 'MyFirst Message', '', '', '0', '0', 'This is your first message', '1', '0', '0', '0', '', '0', '1', '', '', '')";
$result=$database->openConnectionWithReturn($query);
if (!$result) { 
   	echo "Alteration of messages table failed!<br>" .mysql_errno(). ": ".mysql_error(). "<br>"; 
    return; 
}else{
	echo "Table 'messages' altered<BR>";
}
?>
<BR><B>Database Setup Script Complete, if errors please try again</B><BR><BR>
<div align="center"><img src="images/loudmouth_button.gif" width="150" height="54"></div>




