<?
/** LoudMouth Open Source Edition Version 2.4. 
  * 27-07-2001
  *
  * Copyright (C) 2000 - 2001 Miro Contruct Pty Ltd
  * Distributed under the terms of the GNU General Public License
  * This software may be used without warranty provided these statements are left intact
  * and the "Powered by LoudMouth" logo appears at the bottom of each page.
  * This code is Available at http://sourceforge.net/projects/mambo
  *
  * Site Name: LoudMouth Open Source Edition Version 2.4.
  * File Name: threads.php
  * Developers: Nicole Anderson - nicole@miro.com.au
  *             Danny Younes - danny@miro.com.au
  * Date: 27/07/2001
  * Version #: 2.4.
  * Comments: Used to call the functions needed to add/edit/delete threads.
  *
 **/
	
	require ("classes/html/HTML_threads.php");
	$threadshtml = new HTML_threads();
	
	require("classes/threads.php");
	$threads = new threads();
	
	switch($task){
		case "edit":
			if ($tid==""){
				$tid = $cid[0];
			}
			$threads->editThread($threadshtml, $database, $option, $tid, $myname, $forum, $act, $text_editor);
			break;
		case "saveedit":
			$threads->saveEditThread($database, $option, $subject, $tid, $content, $author, $act, $forum, $myname, $replytoid, $forumid, $origforumid);
			break;
		case "savenew":
			$threads->savenewThread($database, $option, $act, $forum, $subject, $content, $forumID, $author);
			break;
		case "remove":
			if ($tid <> ""){
				$cid[0] = $tid;
			}
			$threads->removeThread($database, $option, $cid, $forum, $act);
			break;
		case "new":
			$threads->addThread($database, $option, $act, $threadshtml, $forum, $myname, $text_editor);
			break;
		case "reply":
			$threads->newReply($database, $option, $act, $threadshtml, $forum, $myname, $cid, $text_editor);
			break;
		case "savenewreply":
			$threads->savenewReply($database, $option, $act, $forum, $subject, $content, $forumID, $author, $published, $archive, $repLevel, $repID);
			break;
		case "publish":
			$threads->publishThread($database, $option, $cid, $tid, $myname, $forum, $act);
			break;
		case "unpublish":
			$threads->unpublishThread($database, $option, $cid, $tid, $myname, $forum, $act);
			break;
		case "archive":
			$threads->archiveThread($database, $option, $cid, $forum, $act);
			break;
		case "unarchive":
			$threads->unarchiveThread($database, $option, $cid, $forum, $act);
			break;
		default:
			$threads->showThreads($option, $threadshtml, $database, $forum, $act);
		}
?>