<?  
/** LoudMouth Open Source Edition Version 2.4. 
  * 27-07-2001
  *
  * Copyright (C) 2000 - 2001 Miro Contruct Pty Ltd
  * Distributed under the terms of the GNU General Public License
  * This software may be used without warranty provided these statements are left intact
  * and the "Powered by LoudMouth" logo appears at the bottom of each page.
  * This code is Available at http://sourceforge.net/projects/mambo
  *
  * Site Name: LoudMouth Open Source Edition Version 2.4.
  * File Name: login.php
  * Developers: Nicole Anderson - nicole@miro.com.au
  *             Danny Younes - danny@miro.com.au
  * Date: 27/07/2001
  * Version #: 2.4.
  * Comments: Allows for users to log into the forum
  *
 **/
require ("classes/database.php");
$database = new database();
 
include ("includes/auth.php");
if ($task=="CorrectLogin"){
	$time=time();
	if ($HTTP_COOKIE_VARS["usercookie"]!=""){
		$sessionID=$HTTP_COOKIE_VARS["usercookie"];
		$cryptSessionID=md5($sessionID);
		$query="UPDATE session SET username='$username', userid='$uid', time='$time' WHERE session_id='$cryptSessionID'";
		$database->openConnectionWithReturn($query);
	}else{	
		$existSessionID=0;
		while ($existSessionID==0){
			$sessionID=getSessionID();
			if ($sessionID!=""){
				$cryptSessionID=md5($sessionID);
				$query="SELECT session_id FROM session where session_id='$cryptSessionID'";
				$result=$database->openConnectionWithReturn($query);
				if (mysql_num_rows($result)==0){
					$existSessionID=1;
				}
			}
		}
		if ($existSessionID=1){
			$query="INSERT into session set session_id='$cryptSessionID', userid='$uid', time='$time', username='$username'";
			$database->openConnectionNoReturn($query);
		}
		setcookie("usercookie", "$sessionID");
		$usercookie=$sessionID;
		if ($option==""){
			echo "<SCRIPT>window.opener.document.location.href='default.php';</SCRIPT>";
		}else{
			echo "<SCRIPT>window.opener.document.location.href='mainpage.php?option=$option&forumid=$forumid&id=$id&replyid=$replyid&displayType=$displayType';</SCRIPT>";
		}
		echo "<SCRIPT>window.close(); </SCRIPT>";
	}

}elseif ($task=="logout"){
	$cryptsessionID=md5($HTTP_COOKIE_VARS["usercookie"]);
	$query="DELETE FROM session WHERE session_id='$cryptsessionID'";
	$database->openConnectionNoReturn($query);
	setcookie("usercookie");
	$usercookie="";
	if ($option==""){
		echo "<SCRIPT>document.location.href='default.php';</SCRIPT>";
	}else{
		echo "<SCRIPT>document.location.href='mainpage.php?option=$option&forumid=$forumid&id=$id&replyid=$replyid&displayType=$displayType';</SCRIPT>";
	}
	exit();
}?>

<HTML>
	<HEAD>
	<TITLE><?echo $sitename;?></TITLE>
	<!--
	 Mambo Forum Open Source Edition 2.3
	 09-07-2001
 
	 Copyright (C) 2000 - 2001 Miro Contruct Pty Ltd
	 Distributed under the terms of the GNU General Public License
	 Available at http://sourceforge.net/projects/mambo
	//-->
	<link rel="stylesheet" href="./css/ie5.css">
	</HEAD>
	<BODY BGCOLOR="#FFFFFF" LEFTMARGIN="0" MARGINHEIGHT="0" RIGHTMARGIN="0" TOPMARGIN="10">
	<CENTER>
<?
	require ("classes/html/loginHTML.php");
	$loginHTML=new login();
	
	include ("configuration.php");
	
	switch($task){
		case "login":
			checkLogin($username, $passwd, $database, $option, $forumid, $id, $replyid, $displayType);
			break;
		case "lostPassword":
			lostPassForm($loginHTML, $option, $forumid, $id, $replyid, $displayType);
			break;
		case "register":
			registerForm($loginHTML, $option, $forumid, $id, $replyid, $displayType);
			break;
		case "sendNewPass":
			sendNewPass($checkusername, $confirmEmail, $option, $database, $live_site, $forumid, $id, $replyid, $displayType);
			break;
		case "saveRegistration":
			saveRegistration($yourname, $username1, $email, $pass, $verifyPass, $option, $database, $live_site, $forumid, $id, $replyid, $displayType);
			break;
		case "editDetails":
			editDetailsForm($loginHTML, $option, $forumid, $id, $replyid, $displayType, $HTTP_COOKIE_VARS, $database);
			break;
		case "saveUserEdit":
			saveUserEdit($database, $uid, $option, $forumid, $id, $replyid, $displayType, $name2, $username2, $pass2, $email2, $verifyPass);
			break; 
		default:
			loginForm($loginHTML, $option, $forumid, $id, $replyid, $displayType);
			break;
	}
	
	function loginForm($loginHTML, $option, $forumid, $id, $replyid, $displayType){
		$loginHTML->loginForm($option, $forumid, $id, $replyid, $displayType);
	}
	
	function checkLogin($username, $passwd, $database, $option, $forumid, $id, $replyid, $displayType){
		if ((trim($username)=="") || (trim($passwd)=="")){
			echo "<SCRIPT> alert('Please complete the username and password fields.'); window.history.go(-1); </SCRIPT>\n";
		}else{
			$type="user";
			$passwd=md5($passwd);
			$query="select id, block from users where username='$username' and usertype='$type' and password='$passwd'";
			$result=$database->openConnectionWithReturn($query);
			if (mysql_num_rows($result)!=0){
				list($uid, $block)=mysql_fetch_array($result);
				if ($block==1){
					echo "<SCRIPT>alert('Your login has been blocked. Please contact the administrator.'); window.history.go(-1); </SCRIPT>\n";
				}
				print "<SCRIPT>document.location.href='login.php?task=CorrectLogin&uid=$uid&option=$option&forumid=$forumid&id=$id&replyid=$replyid&displayType=$displayType&username=$username'</SCRIPT>\n";
				//echo "<SCRIPT>window.close(); </SCRIPT>";
			}else{
				echo "<SCRIPT>alert('Incorrect username or password. Please try again'); window.history.go(-1); </SCRIPT>\n";
			}
		}
	}
	
	function lostPassForm($loginHTML, $option, $forumid, $id, $replyid, $displayType){
		$loginHTML->lostPassForm($option, $forumid, $id, $replyid, $displayType);
	}
	
	function sendNewPass($checkusername, $confirmEmail, $option, $database, $live_site, $forumid, $id, $replyid, $displayType){
		$query="select email from users where username='$checkusername' and email='$confirmEmail' and usertype='user'";
		$result=$database->openConnectionWithReturn($query);
		if (mysql_num_rows($result)==0){
				print "<SCRIPT> alert('Sorry, no corresponding user was found'); window.history.go(-1); </SCRIPT>\n";
		}else{
			$newpass=makepass();
			$message = "The user account '$checkusername' has this email associated with it.  A web user from $live_site has just requested that a new password be sent.\n\n Your New Password is: $newpass\n\nIf you didn't ask for this, don't worry. You are seeing this message, not them. If this was an error just login with your new password and then change your password to what you would like it to be.";
			$subject="User Password for $checkusername";
			mail($confirmEmail, $subject, $message, "From: Administrator <$live_site>");
			$hashnewpass=md5($newpass);
			$query="update users set password='$hashnewpass' where username='$checkusername' and usertype='user'";
			$database->openConnectionNoReturn($query);
			echo "<SCRIPT>alert('New User Password Created And Sent!');</SCRIPT>";
			echo "<SCRIPT>window.document.location.href='login.php?option=$option&forumid=$forumid&id=$id&replyid=$replyid&displayType=$displayType';</SCRIPT>";
		}
	}
	
	function registerForm($loginHTML, $option, $forumid, $id, $replyid, $displayType){
		$loginHTML->registerForm($option, $forumid, $id, $replyid, $displayType);
	}
	
	function saveRegistration($yourname, $username1, $email, $pass, $verifyPass, $option, $database, $live_site, $forumid, $id, $replyid, $displayType){
		if (trim($yourname)==""){
			print "<SCRIPT> alert('Please enter your name.'); window.history.go(-1); </SCRIPT>\n";
		}else if (trim($username1)==""){
			print "<SCRIPT> alert('Please enter a user name.'); window.history.go(-1); </SCRIPT>\n";
		}else if (trim($email)==""){
			print "<SCRIPT> alert('Please enter your email address.'); window.history.go(-1); </SCRIPT>\n";
		}else if (trim($pass)==""){
			print "<SCRIPT> alert('Please enter a password.'); window.history.go(-1); </SCRIPT>\n";
		}else if (trim($verifyPass)==""){
			print "<SCRIPT> alert('Please verify the password.'); window.history.go(-1); </SCRIPT>\n";
		}else if ($pass!=$verifyPass){
			print "<SCRIPT> alert('Password and verification do not match, please try again.'); window.history.go(-1); </SCRIPT>\n";
		}else{
			$query="select id from users where username='$username1' and usertype='user'";
			$result=$database->openConnectionWithReturn($query);
			if (mysql_num_rows($result)!=0){
				print "<SCRIPT> alert('This username/password already in use. Please try another.'); window.history.go(-1); </SCRIPT>\n";
			}else{
				$hashpass=md5($pass);
				$query="insert into users (name, username, email, password, usertype) values ('$yourname', '$username1', '$email', '$hashpass', 'user')";
				$database->openConnectionNoReturn($query);
				
				$recipient = "$yourname <$email>";
				$subject = "New User Details";
				$message .= "Hello $yourname,\n\n";
				$message .= "You have been added as a user to '$live_site'.\n";
				$message .= "This email contains your username and password to log into the '$live_site' site:\n\n"; 
				$message .= "Username - $username1\n";
				$message .= "Password - $pass\n\n\n";
				$message .= "Please do not respond to this message as it is automatically generated and is for information purposes only\n";
						
				$headers .= "From: Administrator <$live_site>\n";
				$headers .= "X-Sender:<$live_site> \n"; 
				$headers .= "X-Mailer: PHP\n"; // mailer
				$headers .= "Return-Path: <$email>\n";  // Return path for errors
				mail($recipient, $subject, $message, $headers);
				
				$query2="select name, email from users where usertype='superadministrator' and sendEmail=1";
				$result2=$database->openConnectionWithReturn($query2);
				if (mysql_num_rows($result2)!=0){
					list($adminName, $adminEmail)=mysql_fetch_array($result2);
					$recipient2 = "$adminName <$adminEmail>";
					$subject2 = "New User Details";
					$message2 .= "Hello $adminName,\n\n";
					$message2 .= "A new user has registered at '$live_site'.\n";
					$message2 .= "This email contains their details:\n\n"; 
					$message2 .= "Name - $yourname\n";
					$message2 .= "Email - $email\n";
					$message2 .= "Username - $username1\n\n\n";
					$message2 .= "Please do not respond to this message as it is automatically generated and is for information purposes only\n";
						
					$headers2 .= "From: Administrator <$live_site>\n";
					$headers2 .= "X-Sender:<$live_site> \n"; 
					$headers2 .= "X-Mailer: PHP\n"; // mailer
					$headers2 .= "Return-Path: <$adminEmail>\n";  // Return path for errors
					mail($recipient2, $subject2, $message2, $headers2);
				} 
				echo "<SCRIPT>alert('Registration is complete, you may now log in with your username and password.');</SCRIPT>";
				echo "<SCRIPT>window.document.location.href='login.php?option=$option&forumid=$forumid&id=$id&replyid=$replyid&displayType=$displayType';</SCRIPT>";
			}
		}
	}
	
	function makePass() {
		$makepass="";
		$syllables="er,in,tia,wol,fe,pre,vet,jo,nes,al,len,son,cha,ir,ler,bo,ok,tio,nar,sim,ple,bla,ten,toe,cho,co,lat,spe,ak,er,po,co,lor,pen,cil,li,ght,wh,at,the,he,ck,is,mam,bo,no,fi,ve,any,way,pol,iti,cs,ra,dio,sou,rce,sea,rch,pa,per,com,bo,sp,eak,st,fi,rst,gr,oup,boy,ea,gle,tr,ail,bi,ble,brb,pri,dee,kay,en,be,se";
		$syllable_array=explode(",", $syllables);
		mt_srand((double)microtime()*1000000);
		for ($count=1;$count<=4;$count++) {
			if (mt_rand()%10 == 1) {
				$makepass .= sprintf("%0.0f",(mt_rand()%50)+1);
			} else {
				$makepass .= sprintf("%s",$syllable_array[mt_rand()%62]);
			}
		}
		return($makepass);
	}
	
	function editDetailsForm($loginHTML, $option, $forumid, $id, $replyid, $displayType, $HTTP_COOKIE_VARS, $database){
		if ($HTTP_COOKIE_VARS["usercookie"]!=""){
			$cryptsessionID=md5($HTTP_COOKIE_VARS["usercookie"]);
			$query="SELECT userid from session where session_id='$cryptsessionID'";
			$result=$database->openConnectionWithReturn($query);
			if (mysql_num_rows($result)>0){
				list($uid)=mysql_fetch_array($result);
				$query="select name, username, email from users where id='$uid'";
				$result=$database->openConnectionWithReturn($query);
				list ($name, $username, $email)=mysql_fetch_array($result);
				$loginHTML->editDetailsForm($option, $forumid, $id, $replyid, $displayType, $name, $username, $email, $uid);
			}else{
				echo "<SCRIPT>window.document.location.href='login.php?task=logout';</SCRIPT>";
			}
		}else{
			echo "<SCRIPT>window.document.location.href='login.php';</SCRIPT>";
		}
	}
	
	function saveUserEdit($database, $uid, $option, $forumid, $id, $replyid, $displayType, $name2, $username2, $pass2, $email2, $verifyPass){
		if ((trim($name2)=="") || (trim($username2)=="") || (trim($email2)=="")){
			print "<SCRIPT> alert('Please complete all the fields'); window.history.go(-1); </SCRIPT>\n";
		}else{
			if ((trim($pass2)!="") && (trim($verifyPass)=="")){
				print "<SCRIPT> alert('If changing your password please enter the password again to verify'); window.history.go(-1); </SCRIPT>\n";
			}elseif ((trim($pass2)!="") && (trim($verifyPass)!="")){
				if ($pass2 != $verifyPass){
					print "<SCRIPT> alert('If changing your password please make sure the password and verification match'); window.history.go(-1); </SCRIPT>\n";
				}
			}
			$query="select id from users where username='$username2' and id!='$uid' and usertype='user'";
			$result=$database->openConnectionWithReturn($query);
			if (mysql_num_rows($result)!=0){
				print "<SCRIPT> alert('This username already in use'); window.history.go(-1); </SCRIPT>\n";
			}else{
				if ($pass2!=""){
					$pass2=md5($pass2);
					$query="update users set name='$name2', username='$username2', email='$email2', password='$pass2' where id=$uid";
					$database->openConnectionNoReturn($query);
				}else{
					$query="update users set name='$name2', username='$username2', email='$email2' where id=$uid";
					$database->openConnectionNoReturn($query);
				}
				echo "<SCRIPT>alert ('Details have been saved'); window.close(); </SCRIPT>";
			}
		}
	}
?>
</CENTER>
</BODY>
</HTML>
